Get job details
curl --request GET \
--url https://ffmpeg-api.cloud/v1/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://ffmpeg-api.cloud/v1/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ffmpeg-api.cloud/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ffmpeg-api.cloud/v1/jobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ffmpeg-api.cloud/v1/jobs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ffmpeg-api.cloud/v1/jobs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ffmpeg-api.cloud/v1/jobs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50",
"binary": "ffmpeg",
"mode": "preset",
"status": "queued",
"runtimeSeconds": 0,
"creditsCharged": 0,
"errorCode": "<string>",
"errorMessage": "<string>",
"createdAt": "2026-04-15T08:30:00.000Z",
"startedAt": "2026-04-15T08:30:00.000Z",
"finishedAt": "2026-04-15T08:30:00.000Z",
"outputs": [
{
"id": "3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50",
"jobId": "3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50",
"assetId": "3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50",
"label": "<string>",
"contentType": "<string>",
"kind": "file",
"metadata": null,
"createdAt": "2026-04-15T08:30:00.000Z",
"downloadUrl": "<string>"
}
]
}UnauthorizedNot FoundJobs
Get job details
Fetch a single job and all currently stored outputs.
GET
/
v1
/
jobs
/
{id}
Get job details
curl --request GET \
--url https://ffmpeg-api.cloud/v1/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://ffmpeg-api.cloud/v1/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ffmpeg-api.cloud/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ffmpeg-api.cloud/v1/jobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ffmpeg-api.cloud/v1/jobs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ffmpeg-api.cloud/v1/jobs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ffmpeg-api.cloud/v1/jobs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50",
"binary": "ffmpeg",
"mode": "preset",
"status": "queued",
"runtimeSeconds": 0,
"creditsCharged": 0,
"errorCode": "<string>",
"errorMessage": "<string>",
"createdAt": "2026-04-15T08:30:00.000Z",
"startedAt": "2026-04-15T08:30:00.000Z",
"finishedAt": "2026-04-15T08:30:00.000Z",
"outputs": [
{
"id": "3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50",
"jobId": "3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50",
"assetId": "3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50",
"label": "<string>",
"contentType": "<string>",
"kind": "file",
"metadata": null,
"createdAt": "2026-04-15T08:30:00.000Z",
"downloadUrl": "<string>"
}
]
}UnauthorizedNot FoundAuthorizations
Send your FFmpeg API Cloud API key as a bearer token.
Path Parameters
The job ID. A UUID value.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50"
Response
Job details returned successfully.
The full job response returned for a single job.
A UUID value.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50"
The execution binary used for the job.
Available options:
ffmpeg, ffprobe The job execution mode.
Available options:
preset, raw The current lifecycle state of the job.
Available options:
queued, running, completed, failed, canceled, rejected Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991An ISO 8601 timestamp.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-04-15T08:30:00.000Z"
An ISO 8601 timestamp.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-04-15T08:30:00.000Z"
An ISO 8601 timestamp.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-04-15T08:30:00.000Z"
Show child attributes
Show child attributes

